/*
 * generated by Xtext
 */
package fr.irisa.cairn.parser.antlr;

import com.google.inject.Inject;

import org.eclipse.xtext.parser.antlr.XtextTokenStream;
import fr.irisa.cairn.services.JniMapGrammarAccess;

public class JniMapParser extends org.eclipse.xtext.parser.antlr.AbstractAntlrParser {
	
	@Inject
	private JniMapGrammarAccess grammarAccess;
	
	@Override
	protected void setInitialHiddenTokens(XtextTokenStream tokenStream) {
		tokenStream.setInitialHiddenTokens("RULE_WS", "RULE_ML_COMMENT", "RULE_SL_COMMENT");
	}
	
	@Override
	protected fr.irisa.cairn.parser.antlr.internal.InternalJniMapParser createParser(XtextTokenStream stream) {
		return new fr.irisa.cairn.parser.antlr.internal.InternalJniMapParser(stream, getGrammarAccess());
	}
	
	@Override 
	protected String getDefaultRuleName() {
		return "Mapping";
	}
	
	public JniMapGrammarAccess getGrammarAccess() {
		return this.grammarAccess;
	}
	
	public void setGrammarAccess(JniMapGrammarAccess grammarAccess) {
		this.grammarAccess = grammarAccess;
	}
	
}
